4Suite™ API Documentation

# ► Module Ft.Xml.XPath.ParsedAxisSpecifier

A parsed token that represents an axis specifier.
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes:
AxisSpecifier, ParsedAncestorAxisSpecifier, ParsedAncestorOrSelfAxisSpecifier, ParsedAttributeAxisSpecifier, ParsedChildAxisSpecifier, ParsedDescendantAxisSpecifier, ParsedDescendantOrSelfAxisSpecifier, ParsedFollowingAxisSpecifier, ParsedFollowingSiblingAxisSpecifier, ParsedNamespaceAxisSpecifier, ParsedParentAxisSpecifier, ParsedPrecedingAxisSpecifier, ParsedPrecedingSiblingAxisSpecifier, ParsedSelfAxisSpecifier

Functions:
ParsedAxisSpecifier

Fields:
NAMESPACE_NODE, g_classMap

## Classes

class AxisSpecifier

### Methods

__init__(self, axis)
__repr__(self)
Always displays verbose expression
__str__(self)
descendants(self, context, nodeTest, node, nodeSet)
Select all of the descendants from the context node
pprint(self, indent='')
select(self, context, nodeTest)
Always returns a node-set and 0 if forward, 1 if reverse.

### Fields

principalType = 1

class ParsedAncestorAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the ancestors including the root

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedAncestorOrSelfAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the ancestors including ourselves through the root

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedAttributeAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the attributes from the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

principalType = 2

class ParsedChildAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the children of the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedDescendantAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedDescendantOrSelfAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select the context node and all of its descendants

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedFollowingAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the nodes the follow the context node, not including descendants.

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedFollowingSiblingAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the siblings that follow the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedNamespaceAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the namespaces from the context node.

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

principalType = 13

class ParsedParentAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select the parent of the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedPrecedingAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the nodes the precede the context node, not including ancestors

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedPrecedingSiblingAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select all of the siblings that precede the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

class ParsedSelfAxisSpecifier(AxisSpecifier)

### Methods

select(self, context, nodeTest)
Select the context node

### Methods inherited from class AxisSpecifier

__init__, __repr__, __str__, descendants, pprint

### Fields

## Functions

ParsedAxisSpecifier(axis)

## Fields

NAMESPACE_NODE = 13
g_classMap = {'ancestor': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAncestorAxisSpecifier>, 'ancestor-or-self': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAncestorOrSelfAxisSpecifier>, 'attribute': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAttributeAxisSpecifier>, 'child': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedChildAxisSpecifier>, 'descendant': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedDescendantAxisSpecifier>, 'descendant-or-self': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedDescendantOrSelfAxisSpecifier>, 'following': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedFollowingAxisSpecifier>, 'following-sibling': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedFollowingSiblingAxisSpecifier>, 'namespace': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedNamespaceAxisSpecifier>, 'parent': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedParentAxisSpecifier>, ...}